#ifndef _QSCENEWIDGET_H_
#define _QSCENEWIDGET_H_

#include <QtGui>

#include "ui_qscenewidget.h"

namespace projection
{
class Scene;

class QSceneWidget : public QWidget
{
    Q_OBJECT

public:

    QSceneWidget(QWidget* pParent=0, Qt::WFlags flag=0);
    ~QSceneWidget();

    void setScene(Scene* pScene);

    void updateGUI();

private slots:

    void on_transformWidget_matrixChanged(const TransformMatrix& matrix);
    void on_typeComboBox_activated(int);

    void on_showInDesignViewCheckBox_toggled(bool checked);
    void on_sceneSizeEdit_editingFinished();
    void on_gridCheckBox_toggled(bool checked);
    void on_gridSizeEdit_editingFinished();

    void on_centerViewButton_clicked();
    void on_viewAllButton_clicked();

private:

    Ui::QSceneWidget ui;

    Scene* m_pScene;
};

}; // projection

#endif // _QSCENEWIDGET_H_
